## epiphany-browser 3.28.6

=== meson_options.txt ===
option('developer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable developer mode'
)

option('distributor_name',
  type: 'string',
  value: 'GNOME Web',
  description: 'Distributor name displayed on process crash page'
)

option('tech_preview',
  type: 'boolean',
  value: false,
  description: 'Enable Epiphany Tech Preview branding'
)

option('unit_tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests'
)

## epiphany-browser 2.30.6

=== debian/changelog ===
epiphany-browser (2.30.6-1) unstable; urgency=low

  * debian/rules: revert the desktop name change from 2.30.2-4. It 
    breaks gnome-panel, and it is arguably a bug in gnome-shell not to 
    take into account the previous fix (g_set_prgname).
  * New upstream translation and bugfix release.
  * 99_autoreconf.patch: refreshed.

 -- Josselin Mouette <joss@debian.org>  Fri, 17 Sep 2010 08:13:26 +0200

epiphany-browser (2.30.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/13_accept-languages.patch:
      - Dropped, merged upstream.
    + debian/patches/14_download_nautilus.patch,
      debian/patches/99_autoreconf.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 12:19:40 +0200

epiphany-browser (2.30.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 14_download_nautilus.patch: don’t open nautilus every time a file is 
    saved. This is simply annoying.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/control.in:
      - Build depend on WebKit >= 1.2.3.
    + debian/patches/05_libexecdir.patch,
      debian/patches/14_download_nautilus.patch,
      debian/patches/99_autoreconf.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 20:06:24 +0200

epiphany-browser (2.30.2-4) unstable; urgency=low

  * debian/rules:
  - rename desktop file to epiphany-browser.desktop so that GNOME Shell is
    able to work correctly with Epiphany

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 28 Jul 2010 12:13:50 +0200

epiphany-browser (2.30.2-3) unstable; urgency=low

  * Stop renaming help files paths. Closes: #586721.
  * Drop type-handling usage. Closes: #587864.
  * Bump standards version accordingly.
  * 13_accept-languages.patch: patch from Mario Sanchez Prada, with a 
    small modification. Set the accept-languages string correctly.
    Closes: #570142.
  * Switch to 3.0 source package format.
  * Move the packaging to use quilt.
  * Merge 00_browser_wrapper_path.patch and 02_ac_init.patch into a new 
    00_epiphany-browser.patch.
  * Add to it a pair of missing renames: g_set_prgname (used by 
    bug-buddy) and the --help message.

 -- Josselin Mouette <joss@debian.org>  Sat, 03 Jul 2010 01:38:24 +0200

epiphany-browser (2.30.2-2) unstable; urgency=low

  [ David Weinehall ]
  * Restore Josselin Mouette's improved package description that
    accidentally got lost in 2.30.0-1 (Closes: #572886).

  [ Josselin Mouette ]
  * Relax epiphany-gecko conflict to not make the package uninstallable.
    Closes: #583347.
  * Make epiphany-extensions conflict a Breaks. Bump the version since 
    the directory changed again in the meantime.
  * Disable seed on ia64 since it doesn’t work.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 May 2010 15:57:13 +0200

epiphany-browser (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/05_libexecdir.patch:
      - Updated to apply cleanly again.
    + debian/patches/99_autoreconf.patch:
      - Refreshed.
    + debian/control.in:
      - Break epiphany-extensions << 2.30.0-4 because of
        new, finally correct extensions directory.
  * debian/patches/13_gtk-2.18.patch,
    debian/control.in:
    + Drop GTK+ 2.18 patch and build depend on GTK+ >= 2.20.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Apr 2010 06:28:27 +0200

epiphany-browser (2.30.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes to the login form autofill code (Closes: #548405).
    + debian/patches/99_autoreconf.patch:
      - Refreshed.

 -- David Weinehall <tao@debian.org>  Mon, 29 Mar 2010 20:07:04 +0300

epiphany-browser (2.29.92-1) unstable; urgency=low

  * New upstream development release.
    + debian/patches/03_dbus.patch,
      debian/patches/05_libexecdir.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).
    - Added myself to Uploaders.

 -- David Weinehall <tao@debian.org>  Mon, 08 Mar 2010 23:50:25 +0200

epiphany-browser (2.29.91-2) unstable; urgency=low

  * debian/branding.conf.in, debian/rules:
  - install a branding.conf file to add Debian to the User-Agent string

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 02 Mar 2010 11:28:44 -0300

epiphany-browser (2.29.91-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend evince for print preview. Closes: #569968.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/control.in:
      - Update libsoup and WebKit build dependencies.
    + debian/patches/13_enable_page_cache.patch:
      - Dropped, merged upstream.
    + debian/patches/13_gtk-2.18.patch:
      - Revert upstream commit to use accessor macros again
        instead of new functions to allow compilation with GTK 2.18.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
  * debian/rules,
    debian/control.in:
    + Pass location of the CA certificates file to configure.
    + Recommend and build-depend on ca-certificates.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 27 Feb 2010 13:20:40 +0100

epiphany-browser (2.29.90.1-2) unstable; urgency=low

  * debian/patches/13_enable_page_cache.patch:
  - Enable page cache for Debian; our WebKitGTK+ has the fixes required
    for it to not hit the known problems already, and this needs more
    testing

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 12 Feb 2010 19:08:08 -0200

epiphany-browser (2.29.90.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Stop suggesting mozplugger. Closes: #566867.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/control.in:
      - Build depend on WebKit >= 1.1.21 and libsoup >= 2.29.6.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               pkg-config,
               libglib2.0-dev (>= 2.18.0),
               libgtk2.0-dev (>= 2.20.0),
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               libglade2-dev (>= 2.3.1),
               libgnome2-dev (>= 2.14.0),
               libgnomeui-dev (>= 2.16.0-2),
               libgconf2-dev,
               libgnome-keyring-dev (>= 2.26.0),
               libgnome-desktop-dev (>= 2.9.91),
               libstartup-notification0-dev (>= 0.5),
               libcanberra-gtk-dev (>= 0.3),
               libnotify-dev (>= 0.4),
               libdbus-glib-1-dev (>= 0.60),
               libsoup-gnome2.4-dev (>= 2.29.91),
               libnss3-dev,
               scrollkeeper,
               gnome-pkg-tools (>= 0.10),
               libxml-parser-perl,
               libwebkit-dev (>= 1.2.3),
               gobject-introspection (>= 0.6.7),
               libgirepository1.0-dev (>= 0.6.7),
               gir-repository-dev,
               gir1.0-glib-2.0,
               gir1.0-gtk-2.0,
               gir1.0-freedesktop,
               gir1.0-webkit-1.0,
               libseed-dev (>= 2.27.91) [!ia64],
               iso-codes (>= 0.35),
               gnome-doc-utils (>= 0.3.2),
               intltool (>= 0.40.0),
               x11proto-core-dev,
               network-manager-dev [linux-any],
               libenchant-dev (>= 1.0),
               libavahi-gobject-dev (>= 0.6.22),
               gtk-doc-tools (>= 1.0),
               lsb-release,
               sharutils,
               zip,
               ca-certificates
Build-Depends-Indep: libglib2.0-doc, libgtk2.0-doc
Standards-Version: 3.9.0
Homepage: http://www.gnome.org/projects/epiphany/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/epiphany-browser/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/epiphany-browser/

Package: epiphany-browser
Architecture: any
Depends: epiphany-browser-data (>= ${gnome:Version}),
         epiphany-browser-data (<< ${gnome:NextVersion}),
         ${shlibs:Depends},
         gnome-icon-theme (>= 2.9.90),
         dbus-x11,
         iso-codes,
         ${misc:Depends}
Conflicts: epiphany-gecko (<< 2.28),
           epiphany-webkit (<< 2.28),
           swfdec-mozilla
Replaces: epiphany-gecko (<< 2.28),
          epiphany-webkit (<< 2.28)
Recommends: yelp, 
            evince,
            ca-certificates
Suggests: epiphany-extensions
Breaks: epiphany-extensions (<< 2.30.0-4)
Provides: www-browser, gnome-www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance 
 on external applications for performing external tasks (such as reading 
 email). Simplicity does not mean less features; Epiphany has everything 
 a modern web browser is expected to have, and can have more through 
 its extensions.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by 
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Conflicts: epiphany-browser (<< 2.20), epiphany-webkit-data
Replaces: epiphany-browser (<< 2.20), epiphany-webkit-data
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

Package: epiphany-browser-dev
Architecture: all
Section: devel
Depends: epiphany-browser (>= ${binary:Version}),
         epiphany-browser-data (= ${source:Version}),
         ${misc:Depends},
         libgtk2.0-dev (>= 2.16.0),
         libwebkit-dev
Conflicts: epiphany-webkit-dev
Replaces: epiphany-webkit-dev
Description: Development files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package is required to develop extensions for Epiphany/WebKitGTK+.

Package: epiphany-browser-dbg
Architecture: any
Section: debug
Priority: extra
Depends: epiphany-browser (= ${binary:Version}), ${misc:Depends}
Recommends: libwebkit-1.0-2-dbg
Description: Debugging symbols for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains detached debugging symbols.

Package: epiphany-webkit
Architecture: all
Depends: epiphany-browser (>= 2.28.0), ${misc:Depends}
Description: Dummy, transitional package
 This package has been made obsolete by epiphany-browser 2.28.0, and
 is safe to remove.

Package: epiphany-gecko
Architecture: all
Depends: epiphany-browser (>= 2.28.0), ${misc:Depends}
Description: Dummy, transitional package
 This package has been made obsolete by epiphany-browser 2.28.0, and
 is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := epiphany

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
		--enable-dbus \
		--disable-scrollkeeper \
		--enable-zeroconf \
		--libexecdir=\$${prefix}/lib/epiphany-browser \
		--enable-gtk-doc \
		--enable-introspection \
		--enable-spell-checker \
		--with-ca-file=/etc/ssl/certs/ca-certificates.crt

ifneq ($(DEB_HOST_ARCH),ia64)
DEB_CONFIGURE_EXTRA_FLAGS += \
		--enable-seed
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
DEB_CONFIGURE_EXTRA_FLAGS += \
		--enable-network-manager
endif

DEB_DH_INSTALLCHANGELOGS_ARGS_ALL := --no-act
DEB_INSTALL_DOCS_ALL := --no-act

binary-post-install/%::
	dh_installchangelogs -p$(cdbs_curpkg)
	dh_installdocs -p$(cdbs_curpkg)

binary-post-install/epiphany-browser::
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany epiphany-browser \
		&& mv epiphany.sh epiphany

binary-post-install/epiphany-browser-data::
	dh_installchangelogs -p$(cdbs_curpkg) ./ChangeLog
	cd debian/epiphany-browser-data/usr/share/man/man1 \
		&& mv epiphany.1 epiphany-browser.1
	sed 's/@PACKAGEVERSION@/$(DEB_VERSION)/' debian/branding.conf.in \
		> debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

=== debian/watch ===
version=2
http://download.gnome.org/sources/epiphany/([\d\.]+)[02468]/ \
	epiphany-(.*)\.tar\.gz \
	debian uupdate

## epiphany-browser 3.0.4

=== debian/changelog ===
epiphany-browser (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Build-Depends on libwebkitgtk-3.0-dev to (>= 1.4.2).
    - Remove Build-Depends on gir1.2-gtk-3.0 and let libgtk-3-dev pull that
      dependency in. Bump Build-Depends on libgtk-3-dev to (>= 3.0.8-1~)
      accordingly.
  * Disable seed support on mips. Should be re-enabled when #633730 is fixed.
  * Upload to unstable. Remove check-dist.mk include.
  * debian/rules: Remove obsolete configure options.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 01:26:08 +0200

epiphany-browser (3.0.3-1) experimental; urgency=low

  * New upstream release.
  * debian/watch:
    - Don't run uupdate.
    - Switch to .bz2 tarballs.
  * Refresh debian/patches/03_dbus.patch.
  * debian/control.in:
    - Bump Build-Depends on libsoup-gnome2.4-dev to (>= 2.33.1).
    - Bump Standards-Version to 3.9.2. No further changes.
    - Remove old Conflicts and Replaces which are no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Jun 2011 08:42:16 +0200

epiphany-browser (3.0.2-2) experimental; urgency=low

  * rules: create a new epiphany-newtab.desktop which is the handler for 
    x-scheme-handler/http{,s} and has NoDisplay=true.
  * Drop epiphany-gecko and epiphany-webkit transitional packages.
  * 11_browse_to.patch: new patch. Fix “browse to” feature, by looking 
    for inode/directory instead of x-directory/normal.

 -- Josselin Mouette <joss@debian.org>  Thu, 02 Jun 2011 13:02:26 +0200

epiphany-browser (3.0.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Tighten the dependency between the gir package and the browser 
    package.
  * Improve the gir package description.

  [ Frederic Peters ]
  * debian/patches/00_epiphany-browser.patch: updated patch to also set
    WM_CLASS on Epiphany windows, to help GNOME Shell window -> .desktop
    matching.

  [ Gustavo Noronha Silva ]
  * New upstream release
  * debian/control:
  - bump build-dependency on webkit to 1.4.0, following upstream
  * debian/patches/04_allow_flash_with_npwrapper.patch:
  - removed, better solution applied to webkit 1.4.0
  * debian/patches/15_fix_tab_reuse_after_session_restore.patch:
  - removed; applied upstream

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 04 May 2011 14:00:36 -0300

epiphany-browser (3.0.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Gustavo Noronha Silva ]
  * debian/control:
  - bump WebKitGTK+ requirement to 1.3.13, following upstream
  * debian/patches/16_fix_missing_restore_option.patch,
    debian/patches/17_do_not_include_removed_header.patch:
  - removed; included in this upstream version
  * debian/patches/04_allow_flash_with_npwrapper.patch:
  - imported from upstream's bugzilla to allow flash when used through
    npwrapper; also bump build-dep on webkit to 1.3.13-2 that has a patch
    to support this

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 31 Mar 2011 23:37:12 -0300

epiphany-browser (2.91.91-2) experimental; urgency=low

  * debian/patches/17_do_not_include_removed_header.patch:
  - epiphany.h was including a header that got removed by the download
    revamp, which caused epiphany-extensions to fail to build

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 Mar 2011 11:19:07 -0300

epiphany-browser (2.91.91-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/15_fix_tab_reuse_after_session_restore.patch:
  - fixes bad behaviour when openning a link after restoring a session
  * debian/patches/16_fix_missing_restore_option.patch:
  - show restore session infobar even when loading a link
  * debian/patches/14_download_nautilus.patch:
  - removed; upstream's handling of downloads has been completely
    overhauled and no action is taken automatically at the end
  * debian/control.in:
  - bump the build requirement for GTK+ following upstream's bump

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 Mar 2011 00:44:04 -0300

epiphany-browser (2.91.90-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in,
    debian/rules:
    + Use dh-autoreconf.
    + Build depend on a high-enough version of CDBS to guarantee
      dh_girepository is always called, and comply with the g-i
      policy.
  * debian/patches/99_autoreconf.patch,
    debian/patches/99_ltmain_as-needed.patch:
    + Removed, obsolete.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Feb 2011 11:52:17 +0000

epiphany-browser (2.91.6-1) experimental; urgency=low

  * New development release
  * debian/control.in:
  - adjust dependencies and build-dependencies for new GTK+ 3 and seed
    packages (Closes: #614985)

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 25 Feb 2011 00:16:52 -0300

epiphany-browser (2.91.5-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New upstream development release
  * 13_use_gtk2.patch:
  - dropped - we now build against GTK+ 3.0
  * debian/patches/99_autoreconf.patch:
  - Regenerated for the new version.
  * debian/rules:
  - disable introspection build for now, since it is failing

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Standards-Version to 3.9.1
    - Rename libwebkit-dev build-dep to libwebkitgtk-3.0-dev and bump version
    - Bump libglib2.0-dev build-dependency
    - Add gsettings-desktop-schemas-dev build-dependency
    - Add gsettings-desktop-schemas dependency to epiphany-browser
  * debian/branding.conf.in: Set VendorSub to sid/experimental
  * debian/watch: Bump version to 4
  * Bump debhelper compatibility to 8

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Drop no longer needed build dependencies.
    - Fix the -dev package dependencies.
    - Make the -dbg package recommend the new webkit -dbg package
      instead of the old one.
    - Bump the gobject-introspection build dependencies.
  * debian/copyright:
    - Stop mentioning flashblock.tar, we no longer ship it.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.90),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               pkg-config,
               libglib2.0-dev (>= 2.25.13),
               libgtk-3-dev (>= 3.0.8-1~),
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               libgnome-keyring-dev (>= 2.26.0),
               libstartup-notification0-dev (>= 0.5),
               libdbus-glib-1-dev (>= 0.60),
               libsoup-gnome2.4-dev (>= 2.33.1),
               libnss3-dev,
               libxml-parser-perl,
               libwebkitgtk-3.0-dev (>= 1.4.2),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               gir1.2-webkit-3.0,
               libseed-gtk3-dev [!ia64 !mips],
               iso-codes (>= 0.35),
               gnome-doc-utils (>= 0.3.2),
               intltool (>= 0.40.0),
               x11proto-core-dev,
               network-manager-dev [linux-any],
               libavahi-gobject-dev (>= 0.6.22),
               gtk-doc-tools (>= 1.0),
               ca-certificates,
               gsettings-desktop-schemas-dev (>= 0.0.1)
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 3.9.2
Homepage: http://www.gnome.org/projects/epiphany/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/epiphany-browser/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/epiphany-browser/

Package: epiphany-browser
Architecture: any
Depends: epiphany-browser-data (>= ${gnome:Version}),
         epiphany-browser-data (<< ${gnome:NextVersion}),
         ${shlibs:Depends},
         gnome-icon-theme (>= 2.9.90),
         dbus-x11,
         iso-codes,
         gsettings-desktop-schemas,
         ${misc:Depends}
Conflicts: epiphany-gecko (<< 2.28),
           epiphany-webkit (<< 2.28),
           swfdec-mozilla
Replaces: epiphany-gecko (<< 2.28),
          epiphany-webkit (<< 2.28)
Recommends: yelp,
            evince,
            ca-certificates
Suggests: epiphany-extensions
Breaks: epiphany-extensions (<< 2.30.0-4)
Provides: www-browser, gnome-www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance
 on external applications for performing external tasks (such as reading
 email). Simplicity does not mean less features; Epiphany has everything
 a modern web browser is expected to have, and can have more through
 its extensions.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

Package: epiphany-browser-dev
Architecture: all
Section: devel
Depends: epiphany-browser (>= ${binary:Version}),
         epiphany-browser-data (= ${source:Version}),
         gir1.2-epiphany-2.31 (>= ${binary:Version}),
         ${misc:Depends},
         libgtk-3-dev (>= 3.0.2),
         libwebkitgtk-3.0-dev (>= 1.4.0)
Description: Development files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package is required to develop extensions for Epiphany/WebKitGTK+.

Package: epiphany-browser-dbg
Architecture: any
Section: debug
Priority: extra
Depends: epiphany-browser (= ${binary:Version}), ${misc:Depends}
Recommends: libwebkitgtk-3.0-0-dbg (>= 1.4.0)
Description: Debugging symbols for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains detached debugging symbols.

Package: gir1.2-epiphany-2.31
Section: libs
Architecture: any
Depends: epiphany-browser (= ${binary:Version}),
         ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: epiphany-browser (<< 2.91.90-1)
Description: GObject introspection data for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains introspection data for the GNOME web browser. It 
 allows writing extensions in languages that can use this data to 
 generate bindings.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,26 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GNOME_MODULE := epiphany
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
-		--enable-dbus \
 		--disable-scrollkeeper \
 		--enable-zeroconf \
 		--libexecdir=\$${prefix}/lib/epiphany-browser \
 		--enable-gtk-doc \
 		--enable-introspection \
-		--enable-spell-checker \
 		--with-ca-file=/etc/ssl/certs/ca-certificates.crt
 
-ifneq ($(DEB_HOST_ARCH),ia64)
+ifeq (,$(filter $(DEB_HOST_ARCH),ia64 mips))
 DEB_CONFIGURE_EXTRA_FLAGS += \
 		--enable-seed
 endif
@@ -32,6 +32,7 @@
 
 DEB_DH_INSTALLCHANGELOGS_ARGS_ALL := --no-act
 DEB_INSTALL_DOCS_ALL := --no-act
+DEB_DH_GIREPOSITORY_ARGS_ALL += -lsrc
 
 binary-post-install/%::
 	dh_installchangelogs -p$(cdbs_curpkg)
@@ -46,5 +47,10 @@
 	dh_installchangelogs -p$(cdbs_curpkg) ./ChangeLog
 	cd debian/epiphany-browser-data/usr/share/man/man1 \
 		&& mv epiphany.1 epiphany-browser.1
+	cd debian/epiphany-browser-data/usr/share/applications \
+		&& sed -r 's/^(Exec=epiphany-browser)/\1 -n/' epiphany.desktop | grep -v ^MimeType > epiphany-newtab.desktop \
+		&& echo 'MimeType=x-scheme-handler/http;x-scheme-handler/https;' >> epiphany-newtab.desktop \
+		&& echo 'NoDisplay=true' >> epiphany-newtab.desktop \
+		&& sed -ri 's,x-scheme-handler/[^;]+;,,g' epiphany.desktop
 	sed 's/@PACKAGEVERSION@/$(DEB_VERSION)/' debian/branding.conf.in \
 		> debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

=== debian/watch ===
version=3
http://download.gnome.org/sources/epiphany/([\d\.]+[02468])/ \
	epiphany-(.*)\.tar\.bz2

## epiphany-browser 3.2.0

=== debian/changelog ===
epiphany-browser (3.2.0-2) experimental; urgency=low

  [ Michael Biebl ]
  * debian/control.in:
    - Drop Build-Depends on libdbus-glib-1-dev (ported to GDBus).
    - Drop Build-Depends on libstartup-notification0-dev.
    - Drop Build-Depends on network-manager-dev.
  * debian/rules:
    - Drop obsolete --enable-network-manager configure flag. NetworkManager
      support is enabled unconditionally. As dbus is used to to access
      NetworkManager, this does not add a hard dependency.

  [ Gustavo Noronha Silva ]
  * debian/control.in:
  - Rename the gir package acknoledging the file name change

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 16 Oct 2011 22:52:15 -0200

epiphany-browser (3.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control.in:
  - bump build dependencies on webkitgtk to 1.6.1 and glib to 2.29.10
  - add build dependency on libnotify-dev >= 0.5.1
  * debian/watch:
  - watch for .tar.xz files
  * debian/patches/00_epiphany-browser.patch:
  - refreshed
  * debian/patches/11_browse_to.patch:
  - applied upstream
  * debian/patches/03_dbus.patch:
  - Epiphany no longer uses dbus directly, but relies on GtkApplication
    for the functionality, which makes this patch obsolete
  * debian/patches/02_format-security.patch:
  - added; fix -Wformat-security build errors

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 16 Oct 2011 13:55:33 -0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,16 @@
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
                pkg-config,
-               libglib2.0-dev (>= 2.25.13),
+               libglib2.0-dev (>= 2.29.10),
                libgtk-3-dev (>= 3.0.8-1~),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libgnome-keyring-dev (>= 2.26.0),
-               libstartup-notification0-dev (>= 0.5),
-               libdbus-glib-1-dev (>= 0.60),
                libsoup-gnome2.4-dev (>= 2.33.1),
                libnss3-dev,
+               libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkitgtk-3.0-dev (>= 1.4.2),
+               libwebkitgtk-3.0-dev (>= 1.6.1),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
@@ -34,7 +33,6 @@
                gnome-doc-utils (>= 0.3.2),
                intltool (>= 0.40.0),
                x11proto-core-dev,
-               network-manager-dev [linux-any],
                libavahi-gobject-dev (>= 0.6.22),
                gtk-doc-tools (>= 1.0),
                ca-certificates,
@@ -100,7 +98,7 @@
 Section: devel
 Depends: epiphany-browser (>= ${binary:Version}),
          epiphany-browser-data (= ${source:Version}),
-         gir1.2-epiphany-2.31 (>= ${binary:Version}),
+         gir1.2-epiphany-3.2 (>= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev (>= 3.0.2),
          libwebkitgtk-3.0-dev (>= 1.4.0)
@@ -124,14 +122,15 @@
  .
  This package contains detached debugging symbols.
 
-Package: gir1.2-epiphany-2.31
+Package: gir1.2-epiphany-3.2
 Section: libs
 Architecture: any
 Depends: epiphany-browser (= ${binary:Version}),
          ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: epiphany-browser (<< 2.91.90-1)
+Replaces: epiphany-browser (<< 2.91.90-1), gir1.2-epiphany-2.31 (>= 3.2.0)
+Conflicts: gir1.2-epiphany-2.31 (>= 3.2.0)
 Description: GObject introspection data for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,6 @@
 		--enable-seed
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-DEB_CONFIGURE_EXTRA_FLAGS += \
-		--enable-network-manager
-endif
-
 DEB_DH_INSTALLCHANGELOGS_ARGS_ALL := --no-act
 DEB_INSTALL_DOCS_ALL := --no-act
 DEB_DH_GIREPOSITORY_ARGS_ALL += -lsrc

## epiphany-browser 3.2.1

=== debian/changelog ===
epiphany-browser (3.2.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 14:08:25 +0100

epiphany-browser (3.2.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/patches/02_format-security.patch: Applied upstream
  * debian/copyright: Clean up some minor lintian warnings

  [ Michael Biebl ]
  * Strip debian/tmp/ from .install files.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 21:28:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90),
                dh-autoreconf,

## epiphany-browser 3.3.91

=== debian/changelog ===
epiphany-browser (3.3.91-1) experimental; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-epiphany-3.2 to introspection.

  [ Jeremy Bicha ]
  * New upstream release
  * debian/rules, debian/branding.conf.in:
    - Use lsb-release to fill in user agent string
  * debian/control.in:
    - Bump minimum GTK, glib, libsoup, and webkit
    - Build-depend on lsb-release and libsqlite3-dev
    - Standards-Version 3.9.3
  * debian/epiphany-browser-data.gconf-defaults:
    - Dropped, obsolete. (Epiphany doesn't support a homepage setting
      any more.)
  * debian/epiphany-browser-data.install:
    - Icons were dropped upstream
  * debian/patches/00_epiphany-browser.patch: Refreshed
  * debian/patches/01_bookmarks_menu.patch: Dropped, obsolete
  * debian/patches/10_smart_bookmarks: Dropped, obsolete

  [ Michael Biebl ]
  * Rename gir1.2-epiphany-3.2 → gir1.2-epiphany-3.3 and drop obsolete
    Conflicts/Replaces while at it.
  * debian/patches/05_libexecdir.patch: Dropped, we no longer build different
    backends so this patch is obsolete.
  * Make epiphany-browser-dev arch-any since we need tight dependencies on
    epiphany-browser and gir1.2-epiphany-3.3.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Mar 2012 12:33:29 +0100

=== debian/control ===
--- 
+++ 
@@ -13,21 +13,22 @@
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
                pkg-config,
-               libglib2.0-dev (>= 2.29.10),
-               libgtk-3-dev (>= 3.0.8-1~),
+               libglib2.0-dev (>= 2.31.2),
+               libgtk-3-dev (>= 3.3.11),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libgnome-keyring-dev (>= 2.26.0),
-               libsoup-gnome2.4-dev (>= 2.33.1),
+               libsoup-gnome2.4-dev (>= 2.37.1),
+               libsqlite3-dev,
                libnss3-dev,
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkitgtk-3.0-dev (>= 1.6.1),
+               libwebkitgtk-3.0-dev (>= 1.7.3),
+               lsb-release,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
-               gir1.2-webkit-3.0,
                libseed-gtk3-dev [!ia64 !mips],
                iso-codes (>= 0.35),
                gnome-doc-utils (>= 0.3.2),
@@ -38,7 +39,7 @@
                ca-certificates,
                gsettings-desktop-schemas-dev (>= 0.0.1)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnome.org/projects/epiphany/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/epiphany-browser/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/epiphany-browser/
@@ -94,14 +95,14 @@
  Epiphany.
 
 Package: epiphany-browser-dev
-Architecture: all
+Architecture: any
 Section: devel
-Depends: epiphany-browser (>= ${binary:Version}),
+Depends: epiphany-browser (= ${binary:Version}),
          epiphany-browser-data (= ${source:Version}),
-         gir1.2-epiphany-3.2 (>= ${binary:Version}),
+         gir1.2-epiphany-3.3 (= ${binary:Version}),
          ${misc:Depends},
-         libgtk-3-dev (>= 3.0.2),
-         libwebkitgtk-3.0-dev (>= 1.4.0)
+         libgtk-3-dev (>= 3.3.11),
+         libwebkitgtk-3.0-dev (>= 1.7.3)
 Description: Development files for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards
@@ -113,8 +114,9 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: epiphany-browser (= ${binary:Version}), ${misc:Depends}
-Recommends: libwebkitgtk-3.0-0-dbg (>= 1.4.0)
+Depends: epiphany-browser (= ${binary:Version}),
+         ${misc:Depends}
+Recommends: libwebkitgtk-3.0-0-dbg (>= 1.7.3)
 Description: Debugging symbols for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards
@@ -122,20 +124,18 @@
  .
  This package contains detached debugging symbols.
 
-Package: gir1.2-epiphany-3.2
-Section: libs
+Package: gir1.2-epiphany-3.3
+Section: introspection
 Architecture: any
 Depends: epiphany-browser (= ${binary:Version}),
          ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: epiphany-browser (<< 2.91.90-1), gir1.2-epiphany-2.31 (>= 3.2.0)
-Conflicts: gir1.2-epiphany-2.31 (>= 3.2.0)
 Description: GObject introspection data for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards
  compliance.
  .
- This package contains introspection data for the GNOME web browser. It 
- allows writing extensions in languages that can use this data to 
+ This package contains introspection data for the GNOME web browser. It
+ allows writing extensions in languages that can use this data to
  generate bindings.

## epiphany-browser 3.4.0.1

=== debian/changelog ===
epiphany-browser (3.4.0.1-2ubuntu1) precise; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/epiphany-browser-data.gsettings-override:
    - Set search client to Ubuntu
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 30 Mar 2012 19:10:47 -0400

epiphany-browser (3.4.0.1-2) experimental; urgency=low

  * Rename gir1.2-epiphany-3.3.install to gir1.2-epiphany-3.4.install
    to actually get the files into the renamed package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 Mar 2012 09:29:24 +0200

epiphany-browser (3.4.0.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Mar 2012 08:56:16 +0200

epiphany-browser (3.4.0-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream development release.
  * Bump Build-Depends on libwebkitgtk-3.0-dev to (>= 1.7.92).
  * debian/patches/00_epiphany-browser.patch: Refreshed.

  [ Sebastian Dröge ]
  * New upstream stable release.
  * Rename gir1.2-epiphany-3.3 -> gir1.2-epiphany-3.4.
  * Refresh all patches.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Mar 2012 11:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90),
                dh-autoreconf,
@@ -23,7 +24,7 @@
                libnss3-dev,
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkitgtk-3.0-dev (>= 1.7.3),
+               libwebkitgtk-3.0-dev (>= 1.7.92),
                lsb-release,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
@@ -99,10 +100,10 @@
 Section: devel
 Depends: epiphany-browser (= ${binary:Version}),
          epiphany-browser-data (= ${source:Version}),
-         gir1.2-epiphany-3.3 (= ${binary:Version}),
+         gir1.2-epiphany-3.4 (= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev (>= 3.3.11),
-         libwebkitgtk-3.0-dev (>= 1.7.3)
+         libwebkitgtk-3.0-dev (>= 1.7.92)
 Description: Development files for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards
@@ -116,7 +117,7 @@
 Priority: extra
 Depends: epiphany-browser (= ${binary:Version}),
          ${misc:Depends}
-Recommends: libwebkitgtk-3.0-0-dbg (>= 1.7.3)
+Recommends: libwebkitgtk-3.0-0-dbg (>= 1.7.92)
 Description: Debugging symbols for the GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at
  non-technical users. Its principles are simplicity and standards
@@ -124,7 +125,7 @@
  .
  This package contains detached debugging symbols.
 
-Package: gir1.2-epiphany-3.3
+Package: gir1.2-epiphany-3.4
 Section: introspection
 Architecture: any
 Depends: epiphany-browser (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -47,5 +47,7 @@
 		&& echo 'MimeType=x-scheme-handler/http;x-scheme-handler/https;' >> epiphany-newtab.desktop \
 		&& echo 'NoDisplay=true' >> epiphany-newtab.desktop \
 		&& sed -ri 's,x-scheme-handler/[^;]+;,,g' epiphany.desktop
-	sed 's/@PACKAGEVERSION@/$(DEB_VERSION)/' debian/branding.conf.in \
-		> debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf
+	sed -i s/@PACKAGEVERSION@/$(DEB_VERSION)/ debian/branding.conf.in
+	sed -i s/@DISTROID@/`lsb_release -is`/ debian/branding.conf.in
+	sed -i s/@DISTROVERSION@/`lsb_release -rs`/ debian/branding.conf.in \
+		&& mv debian/branding.conf.in debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

## epiphany-browser 3.4.1

=== debian/changelog ===
epiphany-browser (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Listen to the org.gnome.Epiphany.ui.show-toolbars setting
    - Do not always show bookmarks without any topic set in the completion.
    - Use the right StartupNotify key name for Web Apps
    - Translation updates.
  * debian/patches/00_epiphany-browser.patch: Refreshed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 21 Apr 2012 12:53:57 -0400

## epiphany-browser 3.4.2

=== debian/changelog ===
epiphany-browser (3.4.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Stephan Schreiber to fix a race condition starting the
    history service thread (closes: #697173).

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 Jan 2013 17:38:36 +0000

epiphany-browser (3.4.2-2) unstable; urgency=low

  * Rename epiphany.desktop to epiphany-browser.desktop so that the 
    shell recognizes it.
  * Break g-session and g-shell versions relying on this name.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 14:07:14 +0200

epiphany-browser (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_epiphany-browser.patch: Refreshed.
  * debian/patches/01_email-as-user-for-password-remembering.patch: Removed,
    merged upstream.
  * debian/patches/13_toolbar_size_fixes.patch: Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2012 07:22:50 +0200

epiphany-browser (3.4.1-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/patches/01_email-as-user-for-password-remembering.patch:
  - Patch from upstream bugzilla to also use email input fields when
    searching for user/password fields for saving or pre-filling them

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/13_toolbar_size_fixes.patch: Add location entry and
    stop/reload button to a vertical GtkSizeGroup. This ensures that they
    have the same height, regardless of things like fonts.
    Patch cherry-picked from upstream Git.
  * debian/patches/00_epiphany-browser.patch: Refreshed.
  * debian/patches/14_pkglibdir.patch: Use pkglibdir instead of hard-coding
    the package name in the extensiondir path. We override the package name
    in the Debian build to avoid file name clashes with the existing epiphany
    package.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 18:33:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90),
                dh-autoreconf,
@@ -27,9 +26,7 @@
                libwebkitgtk-3.0-dev (>= 1.7.92),
                lsb-release,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
+               libgirepository1.0-dev (>= 0.10.7-1~),
                libseed-gtk3-dev [!ia64 !mips],
                iso-codes (>= 0.35),
                gnome-doc-utils (>= 0.3.2),
@@ -64,7 +61,9 @@
             evince,
             ca-certificates
 Suggests: epiphany-extensions
-Breaks: epiphany-extensions (<< 2.30.0-4)
+Breaks: epiphany-extensions (<< 2.30.0-4),
+        gnome-session (<< 3.4.2.1-3),
+        gnome-shell (<< 3.4.2-1)
 Provides: www-browser, gnome-www-browser
 Description: Intuitive GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 		&& sed -r 's/^(Exec=epiphany-browser)/\1 -n/' epiphany.desktop | grep -v ^MimeType > epiphany-newtab.desktop \
 		&& echo 'MimeType=x-scheme-handler/http;x-scheme-handler/https;' >> epiphany-newtab.desktop \
 		&& echo 'NoDisplay=true' >> epiphany-newtab.desktop \
-		&& sed -ri 's,x-scheme-handler/[^;]+;,,g' epiphany.desktop
+		&& sed -ri 's,x-scheme-handler/[^;]+;,,g' epiphany.desktop \
+		&& mv epiphany.desktop epiphany-browser.desktop
 	sed -i s/@PACKAGEVERSION@/$(DEB_VERSION)/ debian/branding.conf.in
 	sed -i s/@DISTROID@/`lsb_release -is`/ debian/branding.conf.in
 	sed -i s/@DISTROVERSION@/`lsb_release -rs`/ debian/branding.conf.in \
